//
//  ViewController.swift
//  RelativeFrame
//
//  Created by Wan Ahmad Lutfi Wan Md Hatta on 7/11/14.
//  Copyright (c) 2014 bijokmind. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet weak var theView: CustomView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    
    @IBAction func animate(_ sender: AnyObject) {
        print(self.theView)
        self.theView.addOldAnimation()
//        self.theView.addShowAnimationCompletionBlock { (finished) -> Void in
//           println("animation completed")
//        };
        
    }

    @IBAction func reverseAnimate(_ sender: AnyObject) {
        self.theView.addOldAnimation(reverseAnimation: true, totalDuration: 5, endTime: 1) { (finished) -> Void in
            print("animation completed")
        };
    }

    
    //Change frame
    @IBAction func b1(_ sender: AnyObject) {
        self.theView.frame = CGRect(x: 0, y: 0, width: 250, height: 250)
    }
    @IBAction func b2(_ sender: AnyObject) {
        self.theView.frame = CGRect(x: 0, y: 0, width: 400, height: 400)
    }
    @IBAction func b3(_ sender: AnyObject) {
        self.theView.frame = CGRect(x: 0, y: 0, width: 600, height: 600)
    }
    
}

